Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser
Class TBaseType

    java.lang.Object
      gudusoft.gsqlparser.TBaseType

    public class TBaseType

extends java.lang.Object

Constants and functions used by parser internally.

Field Summary
`static int` | `assign_sign`
`static int` | `bconst`
`static int` | `bind_v`
`static int` | `cmpop`
`static int` | `cmtdoublehyphen`
`static int` | `cmtslashstar`
`static int` | `compoundAssignmentOperator`
`static int` | `concatenationop`
`static int` | `condition_statement_if`
`static int` | `condition_statement_while`
`static int` | `constraint_level_column`
`static int` | `constraint_level_table`
`static int` | `db2label`
`static int` | `declare_statement_conditions`
`static int` | `declare_statement_cursor`
`static int` | `declare_statement_handlers`
`static int` | `declare_statement_returnCode`
`static int` | `declare_statement_statement`
`static int` | `declare_statement_variable`
`static int` | `declare_varaible_cursor`
`static int` | `declare_varaible_normal`
`static int` | `declare_varaible_table`
`static int` | `double_dot`
`static int` | `dtAll`
`static int` | `dtDistinct`
`static int` | `dtDistinctOn`
`static int` | `dtDistinctRow`
`static int` | `dtNone`
`static int` | `dtUnique`
`static int` | `error`
`static int` | `exponentiate`
`static int` | `fconst`
`static int` | `fireMode_after`
`static int` | `fireMode_before` Trigger fire mode
`static int` | `fireMode_for`
`static int` | `fireMode_insteadOf`
`static int` | `function_return_datatype`
`static int` | `function_return_table`
`static int` | `function_return_table_variable`
`static int` | `great_equal`
`static int` | `howtoSetValue_assign`
`static int` | `howtoSetValue_default`
`static int` | `howtoSetValue_none`
`static int` | `iconst`
`static int` | `ident`
`static int` | `join_source_fake`
`static int` | `join_source_join`
`static int` | `join_source_table`
`static int` | `k_clause`
`static int` | `kind_create`
`static int` | `kind_create_body`
`static int` | `kind_create_incomplete`
`static int` | `kind_create_nested_table`
`static int` | `kind_create_type_placeholder`
`static int` | `kind_create_varray`
`static int` | `kind_declare`
`static int` | `kind_define`
`static int` | `label_begin`
`static int` | `label_end`
`static int` | `leftjoin_op`
`static int` | `less_equal`
`static int` | `lexnewline`
`static int` | `lexspace`
`static java.lang.String` | `linebreak`
`static int` | `logical_and`
`static int` | `logical_or`
`static int` | `m_clause`
`static int` | `metExecSp`
`static int` | `metExecStringCmd`
`static int` | `metExecStringCmdLinkServer`
`static int` | `metNoExecKeyword`
`static int` | `mslabel`
`static int` | `mstLocalVar`
`static int` | `mstLocalVarCursor`
`static int` | `mstSetCmd`
`static int` | `mstUnknown`
`static int` | `mstXmlMethod`
`static int` | `mysqllabel`
`static java.lang.String` | `newline`
`static int` | `not_equal`
`static int` | `not_great`
`static int` | `not_less`
`static int` | `op`
`static int` | `outer_join`
`static int` | `param`
`static int` | `parameter_mode_aslocator`
`static int` | `parameter_mode_default`
`static int` | `parameter_mode_in`
`static int` | `parameter_mode_inout`
`static int` | `parameter_mode_out`
`static int` | `parameter_mode_output`
`static int` | `parameter_mode_readonly`
`static int` | `parse_error_no_root_node`
`static java.lang.String` | `releaseDate`
`static int` | `rightjoin_op`
`static int` | `rrw_abort`
`static int` | `rrw_add`
`static int` | `rrw_all`
`static int` | `rrw_allocate`
`static int` | `rrw_alter`
`static int` | `rrw_analyze`
`static int` | `rrw_and`
`static int` | `rrw_as`
`static int` | `rrw_associate`
`static int` | `rrw_audit`
`static int` | `rrw_backup`
`static int` | `rrw_begin`
`static int` | `rrw_between`
`static int` | `rrw_bfile`
`static int` | `rrw_bigint`
`static int` | `rrw_binary`
`static int` | `rrw_bit`
`static int` | `rrw_blob`
`static int` | `rrw_body`
`static int` | `rrw_break`
`static int` | `rrw_bt`
`static int` | `rrw_bulk`
`static int` | `rrw_by`
`static int` | `rrw_cache`
`static int` | `rrw_calculate`
`static int` | `rrw_call`
`static int` | `rrw_case`
`static int` | `rrw_catch`
`static int` | `rrw_change`
`static int` | `rrw_char`
`static int` | `rrw_character`
`static int` | `rrw_check`
`static int` | `rrw_checkpoint`
`static int` | `rrw_checksum`
`static int` | `rrw_clear`
`static int` | `rrw_clob`
`static int` | `rrw_close`
`static int` | `rrw_cluster`
`static int` | `rrw_cm`
`static int` | `rrw_collect`
`static int` | `rrw_comment`
`static int` | `rrw_commit`
`static int` | `rrw_connect`
`static int` | `rrw_constraint`
`static int` | `rrw_continue`
`static int` | `rrw_copy`
`static int` | `rrw_create`
`static int` | `rrw_cs`
`static int` | `rrw_ct`
`static int` | `rrw_custom`
`static int` | `rrw_data`
`static int` | `rrw_database`
`static int` | `rrw_datalink`
`static int` | `rrw_date`
`static int` | `rrw_dbcc`
`static int` | `rrw_dbclob`
`static int` | `rrw_deallocate`
`static int` | `rrw_dec`
`static int` | `rrw_decimal`
`static int` | `rrw_declare`
`static int` | `rrw_decode`
`static int` | `rrw_del`
`static int` | `rrw_delete`
`static int` | `rrw_dense_rank`
`static int` | `rrw_deny`
`static int` | `rrw_describe`
`static int` | `rrw_diagnostic`
`static int` | `rrw_disable`
`static int` | `rrw_disassociate`
`static int` | `rrw_discard`
`static int` | `rrw_disconnect`
`static int` | `rrw_distinct`
`static int` | `rrw_do`
`static int` | `rrw_double`
`static int` | `rrw_drillthrough`
`static int` | `rrw_drop`
`static int` | `rrw_dump`
`static int` | `rrw_echo`
`static int` | `rrw_else`
`static int` | `rrw_enable`
`static int` | `rrw_end`
`static int` | `rrw_enum`
`static int` | `rrw_et`
`static int` | `rrw_except`
`static int` | `rrw_exec`
`static int` | `rrw_execute`
`static int` | `rrw_exist`
`static int` | `rrw_existing`
`static int` | `rrw_explain`
`static int` | `rrw_extract`
`static int` | `rrw_fetch`
`static int` | `rrw_flashback`
`static int` | `rrw_float`
`static int` | `rrw_float4`
`static int` | `rrw_float8`
`static int` | `rrw_flush`
`static int` | `rrw_for`
`static int` | `rrw_foreign`
`static int` | `rrw_free`
`static int` | `rrw_freeze`
`static int` | `rrw_from`
`static int` | `rrw_full`
`static int` | `rrw_function`
`static int` | `rrw_get`
`static int` | `rrw_give`
`static int` | `rrw_go`
`static int` | `rrw_goto`
`static int` | `rrw_grant`
`static int` | `rrw_graphic`
`static int` | `rrw_group`
`static int` | `rrw_handler`
`static int` | `rrw_having`
`static int` | `rrw_help`
`static int` | `rrw_if`
`static int` | `rrw_include`
`static int` | `rrw_index`
`static int` | `rrw_inner`
`static int` | `rrw_ins`
`static int` | `rrw_insert`
`static int` | `rrw_int`
`static int` | `rrw_int1`
`static int` | `rrw_int2`
`static int` | `rrw_int3`
`static int` | `rrw_int4`
`static int` | `rrw_int8`
`static int` | `rrw_integer`
`static int` | `rrw_intersect`
`static int` | `rrw_interval`
`static int` | `rrw_into`
`static int` | `rrw_is`
`static int` | `rrw_iterate`
`static int` | `rrw_join`
`static int` | `rrw_keep`
`static int` | `rrw_keep_before_dense_rank`
`static int` | `rrw_kill`
`static int` | `rrw_large`
`static int` | `rrw_leave`
`static int` | `rrw_left`
`static int` | `rrw_left_shift`
`static int` | `rrw_listen`
`static int` | `rrw_load`
`static int` | `rrw_local`
`static int` | `rrw_lock`
`static int` | `rrw_logoff`
`static int` | `rrw_logon`
`static int` | `rrw_long`
`static int` | `rrw_longblob`
`static int` | `rrw_longtext`
`static int` | `rrw_loop`
`static int` | `rrw_mediumblob`
`static int` | `rrw_mediumint`
`static int` | `rrw_mediumtext`
`static int` | `rrw_merge`
`static int` | `rrw_middleint`
`static int` | `rrw_minus`
`static int` | `rrw_modify`
`static int` | `rrw_move`
`static int` | `rrw_national`
`static int` | `rrw_nchar`
`static int` | `rrw_nclob`
`static int` | `rrw_noaudit`
`static int` | `rrw_nodes`
`static int` | `rrw_not`
`static int` | `rrw_notify`
`static int` | `rrw_num`
`static int` | `rrw_number`
`static int` | `rrw_numeric`
`static int` | `rrw_nvarchar`
`static int` | `rrw_nvarchar2`
`static int` | `rrw_object`
`static int` | `rrw_on`
`static int` | `rrw_open`
`static int` | `rrw_openrowset`
`static int` | `rrw_optimize`
`static int` | `rrw_or`
`static int` | `rrw_order`
`static int` | `rrw_outer`
`static int` | `rrw_over`
`static int` | `rrw_package`
`static int` | `rrw_position`
`static int` | `rrw_precision`
`static int` | `rrw_prepare`
`static int` | `rrw_primary`
`static int` | `rrw_print`
`static int` | `rrw_procedure`
`static int` | `rrw_purge`
`static int` | `rrw_query`
`static int` | `rrw_raiserror`
`static int` | `rrw_raw`
`static int` | `rrw_readtext`
`static int` | `rrw_real`
`static int` | `rrw_reassign`
`static int` | `rrw_receive`
`static int` | `rrw_reconfigure`
`static int` | `rrw_record`
`static int` | `rrw_refresh`
`static int` | `rrw_reindex`
`static int` | `rrw_release`
`static int` | `rrw_rename`
`static int` | `rrw_repair`
`static int` | `rrw_repeat`
`static int` | `rrw_replace`
`static int` | `rrw_reset`
`static int` | `rrw_resignal`
`static int` | `rrw_restart`
`static int` | `rrw_restore`
`static int` | `rrw_return`
`static int` | `rrw_revert`
`static int` | `rrw_revoke`
`static int` | `rrw_rewind`
`static int` | `rrw_right`
`static int` | `rrw_right_shift`
`static int` | `rrw_rollback`
`static int` | `rrw_rr`
`static int` | `rrw_rs`
`static int` | `rrw_save`
`static int` | `rrw_savepoint`
`static int` | `rrw_scope`
`static int` | `rrw_security`
`static int` | `rrw_sel`
`static int` | `rrw_select`
`static int` | `rrw_send`
`static int` | `rrw_set`
`static int` | `rrw_setuser`
`static int` | `rrw_show`
`static int` | `rrw_shutdown`
`static int` | `rrw_sign`
`static int` | `rrw_signal`
`static int` | `rrw_smallint`
`static int` | `rrw_sort`
`static int` | `rrw_sqlserver_modify`
`static int` | `rrw_ss`
`static int` | `rrw_starea`
`static int` | `rrw_start`
`static int` | `rrw_stasbinary`
`static int` | `rrw_stastext`
`static int` | `rrw_stbuffer`
`static int` | `rrw_stdimension`
`static int` | `rrw_stdisjoint`
`static int` | `rrw_stdistance`
`static int` | `rrw_stendpoint`
`static int` | `rrw_stgeometryn`
`static int` | `rrw_stgeometrytype`
`static int` | `rrw_stintersection`
`static int` | `rrw_stintersects`
`static int` | `rrw_stisclosed`
`static int` | `rrw_stisempty`
`static int` | `rrw_stlength`
`static int` | `rrw_stnumgeometries`
`static int` | `rrw_stnumpoints`
`static int` | `rrw_stop`
`static int` | `rrw_stpointn`
`static int` | `rrw_stsrid`
`static int` | `rrw_ststartpoint`
`static int` | `rrw_stunion`
`static int` | `rrw_table`
`static int` | `rrw_terminate`
`static int` | `rrw_text`
`static int` | `rrw_then`
`static int` | `rrw_time`
`static int` | `rrw_timestamp`
`static int` | `rrw_tinyblob`
`static int` | `rrw_tinyint`
`static int` | `rrw_tinytext`
`static int` | `rrw_to`
`static int` | `rrw_truncate`
`static int` | `rrw_try`
`static int` | `rrw_union`
`static int` | `rrw_unique`
`static int` | `rrw_unlisten`
`static int` | `rrw_unlock`
`static int` | `rrw_upd`
`static int` | `rrw_update`
`static int` | `rrw_updatetext`
`static int` | `rrw_ur`
`static int` | `rrw_urowid`
`static int` | `rrw_use`
`static int` | `rrw_using`
`static int` | `rrw_value`
`static int` | `rrw_values`
`static int` | `rrw_varbinary`
`static int` | `rrw_varchar`
`static int` | `rrw_varchar2`
`static int` | `rrw_vargraphic`
`static int` | `rrw_varying`
`static int` | `rrw_view`
`static int` | `rrw_wait`
`static int` | `rrw_waitfor`
`static int` | `rrw_when`
`static int` | `rrw_where`
`static int` | `rrw_while`
`static int` | `rrw_with`
`static int` | `rrw_with_isolation`
`static int` | `rrw_wrapped`
`static int` | `rrw_writetext`
`static int` | `rrw_year`
`static int` | `rrw_zone`
`static int` | `rw_constraint2`
`static int` | `rw_for1`
`static int` | `rw_foreign2`
`static int` | `rw_locktable`
`static int` | `rw_not_deferrable`
`static int` | `rw_primary2`
`static int` | `rw_unique2`
`static int` | `sconst`
`static int` | `scriptoptions`
`static int` | `SEMI_COLON_AFTER_BEGIN`
`static int` | `sqlpluscmd`
`static int` | `srnNone`
`static int` | `srnNullsFirst`
`static int` | `srnNullsLast`
`static int` | `srtAsc`
`static int` | `srtDesc`
`static int` | `srtNone`
`static int` | `stmt_delimiter`
`static int` | `substitution_v`
`static int` | `tfmAfter`
`static int` | `tfmFor`
`static int` | `tfmInsteadOf`
`static int` | `twocolons`
`static int` | `typecast`
`static int` | `uftInlineTableValued`
`static int` | `uftMultiStatementTableValued`
`static int` | `uftScalar`
`static int` | `uftUnknown`
`static int` | `variable`
`static java.lang.String` | `vendorEmail`
`static java.lang.String` | `version`
`static java.lang.String` | `versionid`
`static int` | `vt_default_values`
`static int` | `vt_execute`
`static int` | `vt_query`
`static int` | `vt_set_column_value`
`static int` | `vt_values` value types of insert statement
`static int` | `vt_values_empty`
`static int` | `vt_values_function`
`static int` | `vt_values_multi_table`
`static int` | `vt_values_oracle_record`
`static int` | `xconst`

Constructor Summary
`TBaseType()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### versionid

    public static final java.lang.String versionid

See Also:
  Constant Field Values

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

### releaseDate

    public static final java.lang.String releaseDate

See Also:
  Constant Field Values

### vendorEmail

    public static final java.lang.String vendorEmail

See Also:
  Constant Field Values

### linebreak

    public static final java.lang.String linebreak

### cmtslashstar

    public static final int cmtslashstar

See Also:
  Constant Field Values

### cmtdoublehyphen

    public static final int cmtdoublehyphen

See Also:
  Constant Field Values

### lexspace

    public static final int lexspace

See Also:
  Constant Field Values

### lexnewline

    public static final int lexnewline

See Also:
  Constant Field Values

### fconst

    public static final int fconst

See Also:
  Constant Field Values

### sconst

    public static final int sconst

See Also:
  Constant Field Values

### iconst

    public static final int iconst

See Also:
  Constant Field Values

### ident

    public static final int ident

See Also:
  Constant Field Values

### op

    public static final int op

See Also:
  Constant Field Values

### cmpop

    public static final int cmpop

See Also:
  Constant Field Values

### bind_v

    public static final int bind_v

See Also:
  Constant Field Values

### assign_sign

    public static final int assign_sign

See Also:
  Constant Field Values

### double_dot

    public static final int double_dot

See Also:
  Constant Field Values

### label_begin

    public static final int label_begin

See Also:
  Constant Field Values

### label_end

    public static final int label_end

See Also:
  Constant Field Values

### substitution_v

    public static final int substitution_v

See Also:
  Constant Field Values

### sqlpluscmd

    public static final int sqlpluscmd

See Also:
  Constant Field Values

### error

    public static final int error

See Also:
  Constant Field Values

### variable

    public static final int variable

See Also:
  Constant Field Values

### mslabel

    public static final int mslabel

See Also:
  Constant Field Values

### bconst

    public static final int bconst

See Also:
  Constant Field Values

### leftjoin_op

    public static final int leftjoin_op

See Also:
  Constant Field Values

### rightjoin_op

    public static final int rightjoin_op

See Also:
  Constant Field Values

### db2label

    public static final int db2label

See Also:
  Constant Field Values

### xconst

    public static final int xconst

See Also:
  Constant Field Values

### scriptoptions

    public static final int scriptoptions

See Also:
  Constant Field Values

### mysqllabel

    public static final int mysqllabel

See Also:
  Constant Field Values

### concatenationop

    public static final int concatenationop

See Also:
  Constant Field Values

### rw_not_deferrable

    public static final int rw_not_deferrable

See Also:
  Constant Field Values

### rw_for1

    public static final int rw_for1

See Also:
  Constant Field Values

### stmt_delimiter

    public static final int stmt_delimiter

See Also:
  Constant Field Values

### m_clause

    public static final int m_clause

See Also:
  Constant Field Values

### typecast

    public static final int typecast

See Also:
  Constant Field Values

### k_clause

    public static final int k_clause

See Also:
  Constant Field Values

### outer_join

    public static final int outer_join

See Also:
  Constant Field Values

### not_equal

    public static final int not_equal

See Also:
  Constant Field Values

### not_great

    public static final int not_great

See Also:
  Constant Field Values

### not_less

    public static final int not_less

See Also:
  Constant Field Values

### great_equal

    public static final int great_equal

See Also:
  Constant Field Values

### less_equal

    public static final int less_equal

See Also:
  Constant Field Values

### exponentiate

    public static final int exponentiate

See Also:
  Constant Field Values

### rw_locktable

    public static final int rw_locktable

See Also:
  Constant Field Values

### rw_foreign2

    public static final int rw_foreign2

See Also:
  Constant Field Values

### rw_constraint2

    public static final int rw_constraint2

See Also:
  Constant Field Values

### rw_primary2

    public static final int rw_primary2

See Also:
  Constant Field Values

### rw_unique2

    public static final int rw_unique2

See Also:
  Constant Field Values

### rrw_select

    public static final int rrw_select

See Also:
  Constant Field Values

### rrw_insert

    public static final int rrw_insert

See Also:
  Constant Field Values

### rrw_delete

    public static final int rrw_delete

See Also:
  Constant Field Values

### rrw_update

    public static final int rrw_update

See Also:
  Constant Field Values

### rrw_if

    public static final int rrw_if

See Also:
  Constant Field Values

### rrw_for

    public static final int rrw_for

See Also:
  Constant Field Values

### rrw_create

    public static final int rrw_create

See Also:
  Constant Field Values

### rrw_table

    public static final int rrw_table

See Also:
  Constant Field Values

### rrw_index

    public static final int rrw_index

See Also:
  Constant Field Values

### rrw_view

    public static final int rrw_view

See Also:
  Constant Field Values

### rrw_with

    public static final int rrw_with

See Also:
  Constant Field Values

### rrw_start

    public static final int rrw_start

See Also:
  Constant Field Values

### rrw_end

    public static final int rrw_end

See Also:
  Constant Field Values

### rrw_drop

    public static final int rrw_drop

See Also:
  Constant Field Values

### rrw_declare

    public static final int rrw_declare

See Also:
  Constant Field Values

### rrw_case

    public static final int rrw_case

See Also:
  Constant Field Values

### rrw_where

    public static final int rrw_where

See Also:
  Constant Field Values

### rrw_having

    public static final int rrw_having

See Also:
  Constant Field Values

### rrw_and

    public static final int rrw_and

See Also:
  Constant Field Values

### rrw_or

    public static final int rrw_or

See Also:
  Constant Field Values

### rrw_not

    public static final int rrw_not

See Also:
  Constant Field Values

### rrw_when

    public static final int rrw_when

See Also:
  Constant Field Values

### rrw_on

    public static final int rrw_on

See Also:
  Constant Field Values

### rrw_join

    public static final int rrw_join

See Also:
  Constant Field Values

### rrw_set

    public static final int rrw_set

See Also:
  Constant Field Values

### rrw_values

    public static final int rrw_values

See Also:
  Constant Field Values

### rrw_object

    public static final int rrw_object

See Also:
  Constant Field Values

### rrw_record

    public static final int rrw_record

See Also:
  Constant Field Values

### rrw_from

    public static final int rrw_from

See Also:
  Constant Field Values

### rrw_group

    public static final int rrw_group

See Also:
  Constant Field Values

### rrw_sort

    public static final int rrw_sort

See Also:
  Constant Field Values

### rrw_into

    public static final int rrw_into

See Also:
  Constant Field Values

### rrw_order

    public static final int rrw_order

See Also:
  Constant Field Values

### rrw_fetch

    public static final int rrw_fetch

See Also:
  Constant Field Values

### rrw_decode

    public static final int rrw_decode

See Also:
  Constant Field Values

### rrw_over

    public static final int rrw_over

See Also:
  Constant Field Values

### rrw_extract

    public static final int rrw_extract

See Also:
  Constant Field Values

### rrw_distinct

    public static final int rrw_distinct

See Also:
  Constant Field Values

### rrw_all

    public static final int rrw_all

See Also:
  Constant Field Values

### rrw_by

    public static final int rrw_by

See Also:
  Constant Field Values

### rrw_as

    public static final int rrw_as

See Also:
  Constant Field Values

### rrw_union

    public static final int rrw_union

See Also:
  Constant Field Values

### rrw_left

    public static final int rrw_left

See Also:
  Constant Field Values

### rrw_right

    public static final int rrw_right

See Also:
  Constant Field Values

### rrw_inner

    public static final int rrw_inner

See Also:
  Constant Field Values

### rrw_full

    public static final int rrw_full

See Also:
  Constant Field Values

### rrw_outer

    public static final int rrw_outer

See Also:
  Constant Field Values

### rrw_then

    public static final int rrw_then

See Also:
  Constant Field Values

### rrw_else

    public static final int rrw_else

See Also:
  Constant Field Values

### rrw_between

    public static final int rrw_between

See Also:
  Constant Field Values

### rrw_begin

    public static final int rrw_begin

See Also:
  Constant Field Values

### rrw_except

    public static final int rrw_except

See Also:
  Constant Field Values

### rrw_minus

    public static final int rrw_minus

See Also:
  Constant Field Values

### rrw_intersect

    public static final int rrw_intersect

See Also:
  Constant Field Values

### rrw_bit

    public static final int rrw_bit

See Also:
  Constant Field Values

### rrw_tinyint

    public static final int rrw_tinyint

See Also:
  Constant Field Values

### rrw_smallint

    public static final int rrw_smallint

See Also:
  Constant Field Values

### rrw_mediumint

    public static final int rrw_mediumint

See Also:
  Constant Field Values

### rrw_middleint

    public static final int rrw_middleint

See Also:
  Constant Field Values

### rrw_int

    public static final int rrw_int

See Also:
  Constant Field Values

### rrw_integer

    public static final int rrw_integer

See Also:
  Constant Field Values

### rrw_int1

    public static final int rrw_int1

See Also:
  Constant Field Values

### rrw_int2

    public static final int rrw_int2

See Also:
  Constant Field Values

### rrw_int3

    public static final int rrw_int3

See Also:
  Constant Field Values

### rrw_int4

    public static final int rrw_int4

See Also:
  Constant Field Values

### rrw_int8

    public static final int rrw_int8

See Also:
  Constant Field Values

### rrw_bigint

    public static final int rrw_bigint

See Also:
  Constant Field Values

### rrw_float

    public static final int rrw_float

See Also:
  Constant Field Values

### rrw_float4

    public static final int rrw_float4

See Also:
  Constant Field Values

### rrw_float8

    public static final int rrw_float8

See Also:
  Constant Field Values

### rrw_num

    public static final int rrw_num

See Also:
  Constant Field Values

### rrw_numeric

    public static final int rrw_numeric

See Also:
  Constant Field Values

### rrw_number

    public static final int rrw_number

See Also:
  Constant Field Values

### rrw_real

    public static final int rrw_real

See Also:
  Constant Field Values

### rrw_decimal

    public static final int rrw_decimal

See Also:
  Constant Field Values

### rrw_dec

    public static final int rrw_dec

See Also:
  Constant Field Values

### rrw_double

    public static final int rrw_double

See Also:
  Constant Field Values

### rrw_precision

    public static final int rrw_precision

See Also:
  Constant Field Values

### rrw_char

    public static final int rrw_char

See Also:
  Constant Field Values

### rrw_nchar

    public static final int rrw_nchar

See Also:
  Constant Field Values

### rrw_character

    public static final int rrw_character

See Also:
  Constant Field Values

### rrw_varchar

    public static final int rrw_varchar

See Also:
  Constant Field Values

### rrw_varchar2

    public static final int rrw_varchar2

See Also:
  Constant Field Values

### rrw_national

    public static final int rrw_national

See Also:
  Constant Field Values

### rrw_nvarchar

    public static final int rrw_nvarchar

See Also:
  Constant Field Values

### rrw_nvarchar2

    public static final int rrw_nvarchar2

See Also:
  Constant Field Values

### rrw_varbinary

    public static final int rrw_varbinary

See Also:
  Constant Field Values

### rrw_varying

    public static final int rrw_varying

See Also:
  Constant Field Values

### rrw_tinytext

    public static final int rrw_tinytext

See Also:
  Constant Field Values

### rrw_text

    public static final int rrw_text

See Also:
  Constant Field Values

### rrw_mediumtext

    public static final int rrw_mediumtext

See Also:
  Constant Field Values

### rrw_longtext

    public static final int rrw_longtext

See Also:
  Constant Field Values

### rrw_time

    public static final int rrw_time

See Also:
  Constant Field Values

### rrw_date

    public static final int rrw_date

See Also:
  Constant Field Values

### rrw_timestamp

    public static final int rrw_timestamp

See Also:
  Constant Field Values

### rrw_year

    public static final int rrw_year

See Also:
  Constant Field Values

### rrw_local

    public static final int rrw_local

See Also:
  Constant Field Values

### rrw_zone

    public static final int rrw_zone

See Also:
  Constant Field Values

### rrw_long

    public static final int rrw_long

See Also:
  Constant Field Values

### rrw_raw

    public static final int rrw_raw

See Also:
  Constant Field Values

### rrw_blob

    public static final int rrw_blob

See Also:
  Constant Field Values

### rrw_tinyblob

    public static final int rrw_tinyblob

See Also:
  Constant Field Values

### rrw_mediumblob

    public static final int rrw_mediumblob

See Also:
  Constant Field Values

### rrw_longblob

    public static final int rrw_longblob

See Also:
  Constant Field Values

### rrw_clob

    public static final int rrw_clob

See Also:
  Constant Field Values

### rrw_nclob

    public static final int rrw_nclob

See Also:
  Constant Field Values

### rrw_dbclob

    public static final int rrw_dbclob

See Also:
  Constant Field Values

### rrw_bfile

    public static final int rrw_bfile

See Also:
  Constant Field Values

### rrw_large

    public static final int rrw_large

See Also:
  Constant Field Values

### rrw_data

    public static final int rrw_data

See Also:
  Constant Field Values

### rrw_binary

    public static final int rrw_binary

See Also:
  Constant Field Values

### rrw_graphic

    public static final int rrw_graphic

See Also:
  Constant Field Values

### rrw_vargraphic

    public static final int rrw_vargraphic

See Also:
  Constant Field Values

### rrw_datalink

    public static final int rrw_datalink

See Also:
  Constant Field Values

### rrw_enum

    public static final int rrw_enum

See Also:
  Constant Field Values

### rrw_interval

    public static final int rrw_interval

See Also:
  Constant Field Values

### rrw_urowid

    public static final int rrw_urowid

See Also:
  Constant Field Values

### rrw_merge

    public static final int rrw_merge

See Also:
  Constant Field Values

### rrw_commit

    public static final int rrw_commit

See Also:
  Constant Field Values

### rrw_rollback

    public static final int rrw_rollback

See Also:
  Constant Field Values

### rrw_savepoint

    public static final int rrw_savepoint

See Also:
  Constant Field Values

### rrw_revoke

    public static final int rrw_revoke

See Also:
  Constant Field Values

### rrw_grant

    public static final int rrw_grant

See Also:
  Constant Field Values

### rrw_truncate

    public static final int rrw_truncate

See Also:
  Constant Field Values

### rrw_database

    public static final int rrw_database

See Also:
  Constant Field Values

### rrw_alter

    public static final int rrw_alter

See Also:
  Constant Field Values

### rrw_return

    public static final int rrw_return

See Also:
  Constant Field Values

### rrw_add

    public static final int rrw_add

See Also:
  Constant Field Values

### rrw_close

    public static final int rrw_close

See Also:
  Constant Field Values

### rrw_continue

    public static final int rrw_continue

See Also:
  Constant Field Values

### rrw_backup

    public static final int rrw_backup

See Also:
  Constant Field Values

### rrw_break

    public static final int rrw_break

See Also:
  Constant Field Values

### rrw_bulk

    public static final int rrw_bulk

See Also:
  Constant Field Values

### rrw_dbcc

    public static final int rrw_dbcc

See Also:
  Constant Field Values

### rrw_deallocate

    public static final int rrw_deallocate

See Also:
  Constant Field Values

### rrw_deny

    public static final int rrw_deny

See Also:
  Constant Field Values

### rrw_disable

    public static final int rrw_disable

See Also:
  Constant Field Values

### rrw_enable

    public static final int rrw_enable

See Also:
  Constant Field Values

### rrw_exec

    public static final int rrw_exec

See Also:
  Constant Field Values

### rrw_execute

    public static final int rrw_execute

See Also:
  Constant Field Values

### rrw_goto

    public static final int rrw_goto

See Also:
  Constant Field Values

### rrw_kill

    public static final int rrw_kill

See Also:
  Constant Field Values

### rrw_open

    public static final int rrw_open

See Also:
  Constant Field Values

### rrw_save

    public static final int rrw_save

See Also:
  Constant Field Values

### rrw_move

    public static final int rrw_move

See Also:
  Constant Field Values

### rrw_print

    public static final int rrw_print

See Also:
  Constant Field Values

### rrw_raiserror

    public static final int rrw_raiserror

See Also:
  Constant Field Values

### rrw_readtext

    public static final int rrw_readtext

See Also:
  Constant Field Values

### rrw_receive

    public static final int rrw_receive

See Also:
  Constant Field Values

### rrw_reconfigure

    public static final int rrw_reconfigure

See Also:
  Constant Field Values

### rrw_restore

    public static final int rrw_restore

See Also:
  Constant Field Values

### rrw_send

    public static final int rrw_send

See Also:
  Constant Field Values

### rrw_setuser

    public static final int rrw_setuser

See Also:
  Constant Field Values

### rrw_shutdown

    public static final int rrw_shutdown

See Also:
  Constant Field Values

### rrw_sign

    public static final int rrw_sign

See Also:
  Constant Field Values

### rrw_try

    public static final int rrw_try

See Also:
  Constant Field Values

### rrw_updatetext

    public static final int rrw_updatetext

See Also:
  Constant Field Values

### rrw_use

    public static final int rrw_use

See Also:
  Constant Field Values

### rrw_waitfor

    public static final int rrw_waitfor

See Also:
  Constant Field Values

### rrw_while

    public static final int rrw_while

See Also:
  Constant Field Values

### rrw_writetext

    public static final int rrw_writetext

See Also:
  Constant Field Values

### rrw_catch

    public static final int rrw_catch

See Also:
  Constant Field Values

### rrw_go

    public static final int rrw_go

See Also:
  Constant Field Values

### rrw_openrowset

    public static final int rrw_openrowset

See Also:
  Constant Field Values

### rrw_analyze

    public static final int rrw_analyze

See Also:
  Constant Field Values

### rrw_associate

    public static final int rrw_associate

See Also:
  Constant Field Values

### rrw_audit

    public static final int rrw_audit

See Also:
  Constant Field Values

### rrw_call

    public static final int rrw_call

See Also:
  Constant Field Values

### rrw_comment

    public static final int rrw_comment

See Also:
  Constant Field Values

### rrw_disassociate

    public static final int rrw_disassociate

See Also:
  Constant Field Values

### rrw_explain

    public static final int rrw_explain

See Also:
  Constant Field Values

### rrw_flashback

    public static final int rrw_flashback

See Also:
  Constant Field Values

### rrw_lock

    public static final int rrw_lock

See Also:
  Constant Field Values

### rrw_noaudit

    public static final int rrw_noaudit

See Also:
  Constant Field Values

### rrw_purge

    public static final int rrw_purge

See Also:
  Constant Field Values

### rrw_rename

    public static final int rrw_rename

See Also:
  Constant Field Values

### rrw_procedure

    public static final int rrw_procedure

See Also:
  Constant Field Values

### rrw_function

    public static final int rrw_function

See Also:
  Constant Field Values

### rrw_package

    public static final int rrw_package

See Also:
  Constant Field Values

### rrw_allocate

    public static final int rrw_allocate

See Also:
  Constant Field Values

### rrw_connect

    public static final int rrw_connect

See Also:
  Constant Field Values

### rrw_describe

    public static final int rrw_describe

See Also:
  Constant Field Values

### rrw_disconnect

    public static final int rrw_disconnect

See Also:
  Constant Field Values

### rrw_flush

    public static final int rrw_flush

See Also:
  Constant Field Values

### rrw_free

    public static final int rrw_free

See Also:
  Constant Field Values

### rrw_get

    public static final int rrw_get

See Also:
  Constant Field Values

### rrw_include

    public static final int rrw_include

See Also:
  Constant Field Values

### rrw_iterate

    public static final int rrw_iterate

See Also:
  Constant Field Values

### rrw_leave

    public static final int rrw_leave

See Also:
  Constant Field Values

### rrw_loop

    public static final int rrw_loop

See Also:
  Constant Field Values

### rrw_prepare

    public static final int rrw_prepare

See Also:
  Constant Field Values

### rrw_refresh

    public static final int rrw_refresh

See Also:
  Constant Field Values

### rrw_release

    public static final int rrw_release

See Also:
  Constant Field Values

### rrw_repeat

    public static final int rrw_repeat

See Also:
  Constant Field Values

### rrw_resignal

    public static final int rrw_resignal

See Also:
  Constant Field Values

### rrw_signal

    public static final int rrw_signal

See Also:
  Constant Field Values

### rrw_cache

    public static final int rrw_cache

See Also:
  Constant Field Values

### rrw_change

    public static final int rrw_change

See Also:
  Constant Field Values

### rrw_check

    public static final int rrw_check

See Also:
  Constant Field Values

### rrw_checksum

    public static final int rrw_checksum

See Also:
  Constant Field Values

### rrw_do

    public static final int rrw_do

See Also:
  Constant Field Values

### rrw_handler

    public static final int rrw_handler

See Also:
  Constant Field Values

### rrw_load

    public static final int rrw_load

See Also:
  Constant Field Values

### rrw_optimize

    public static final int rrw_optimize

See Also:
  Constant Field Values

### rrw_replace

    public static final int rrw_replace

See Also:
  Constant Field Values

### rrw_repair

    public static final int rrw_repair

See Also:
  Constant Field Values

### rrw_reset

    public static final int rrw_reset

See Also:
  Constant Field Values

### rrw_show

    public static final int rrw_show

See Also:
  Constant Field Values

### rrw_stop

    public static final int rrw_stop

See Also:
  Constant Field Values

### rrw_unlock

    public static final int rrw_unlock

See Also:
  Constant Field Values

### rrw_terminate

    public static final int rrw_terminate

See Also:
  Constant Field Values

### rrw_to

    public static final int rrw_to

See Also:
  Constant Field Values

### rrw_primary

    public static final int rrw_primary

See Also:
  Constant Field Values

### rrw_unique

    public static final int rrw_unique

See Also:
  Constant Field Values

### rrw_constraint

    public static final int rrw_constraint

See Also:
  Constant Field Values

### rrw_foreign

    public static final int rrw_foreign

See Also:
  Constant Field Values

### rrw_revert

    public static final int rrw_revert

See Also:
  Constant Field Values

### rrw_checkpoint

    public static final int rrw_checkpoint

See Also:
  Constant Field Values

### rrw_calculate

    public static final int rrw_calculate

See Also:
  Constant Field Values

### rrw_clear

    public static final int rrw_clear

See Also:
  Constant Field Values

### rrw_drillthrough

    public static final int rrw_drillthrough

See Also:
  Constant Field Values

### rrw_freeze

    public static final int rrw_freeze

See Also:
  Constant Field Values

### rrw_existing

    public static final int rrw_existing

See Also:
  Constant Field Values

### rrw_scope

    public static final int rrw_scope

See Also:
  Constant Field Values

### rrw_is

    public static final int rrw_is

See Also:
  Constant Field Values

### rrw_body

    public static final int rrw_body

See Also:
  Constant Field Values

### rrw_abort

    public static final int rrw_abort

See Also:
  Constant Field Values

### rrw_rr

    public static final int rrw_rr

See Also:
  Constant Field Values

### rrw_rs

    public static final int rrw_rs

See Also:
  Constant Field Values

### rrw_cs

    public static final int rrw_cs

See Also:
  Constant Field Values

### rrw_ur

    public static final int rrw_ur

See Also:
  Constant Field Values

### rrw_with_isolation

    public static final int rrw_with_isolation

See Also:
  Constant Field Values

### rrw_cluster

    public static final int rrw_cluster

See Also:
  Constant Field Values

### rrw_copy

    public static final int rrw_copy

See Also:
  Constant Field Values

### rrw_discard

    public static final int rrw_discard

See Also:
  Constant Field Values

### rrw_listen

    public static final int rrw_listen

See Also:
  Constant Field Values

### rrw_notify

    public static final int rrw_notify

See Also:
  Constant Field Values

### rrw_reassign

    public static final int rrw_reassign

See Also:
  Constant Field Values

### rrw_reindex

    public static final int rrw_reindex

See Also:
  Constant Field Values

### rrw_security

    public static final int rrw_security

See Also:
  Constant Field Values

### rrw_unlisten

    public static final int rrw_unlisten

See Also:
  Constant Field Values

### param

    public static final int param

See Also:
  Constant Field Values

### logical_and

    public static final int logical_and

See Also:
  Constant Field Values

### logical_or

    public static final int logical_or

See Also:
  Constant Field Values

### rrw_left_shift

    public static final int rrw_left_shift

See Also:
  Constant Field Values

### rrw_right_shift

    public static final int rrw_right_shift

See Also:
  Constant Field Values

### rrw_custom

    public static final int rrw_custom

See Also:
  Constant Field Values

### rrw_keep

    public static final int rrw_keep

See Also:
  Constant Field Values

### rrw_keep_before_dense_rank

    public static final int rrw_keep_before_dense_rank

See Also:
  Constant Field Values

### rrw_dense_rank

    public static final int rrw_dense_rank

See Also:
  Constant Field Values

### rrw_wrapped

    public static final int rrw_wrapped

See Also:
  Constant Field Values

### twocolons

    public static final int twocolons

See Also:
  Constant Field Values

### compoundAssignmentOperator

    public static final int compoundAssignmentOperator

See Also:
  Constant Field Values

### SEMI_COLON_AFTER_BEGIN

    public static final int SEMI_COLON_AFTER_BEGIN

See Also:
  Constant Field Values

### rrw_starea

    public static final int rrw_starea

See Also:
  Constant Field Values

### rrw_stasbinary

    public static final int rrw_stasbinary

See Also:
  Constant Field Values

### rrw_stastext

    public static final int rrw_stastext

See Also:
  Constant Field Values

### rrw_stbuffer

    public static final int rrw_stbuffer

See Also:
  Constant Field Values

### rrw_stdimension

    public static final int rrw_stdimension

See Also:
  Constant Field Values

### rrw_stdisjoint

    public static final int rrw_stdisjoint

See Also:
  Constant Field Values

### rrw_stdistance

    public static final int rrw_stdistance

See Also:
  Constant Field Values

### rrw_stendpoint

    public static final int rrw_stendpoint

See Also:
  Constant Field Values

### rrw_stgeometryn

    public static final int rrw_stgeometryn

See Also:
  Constant Field Values

### rrw_stgeometrytype

    public static final int rrw_stgeometrytype

See Also:
  Constant Field Values

### rrw_stintersection

    public static final int rrw_stintersection

See Also:
  Constant Field Values

### rrw_stintersects

    public static final int rrw_stintersects

See Also:
  Constant Field Values

### rrw_stisclosed

    public static final int rrw_stisclosed

See Also:
  Constant Field Values

### rrw_stisempty

    public static final int rrw_stisempty

See Also:
  Constant Field Values

### rrw_stlength

    public static final int rrw_stlength

See Also:
  Constant Field Values

### rrw_stnumgeometries

    public static final int rrw_stnumgeometries

See Also:
  Constant Field Values

### rrw_stnumpoints

    public static final int rrw_stnumpoints

See Also:
  Constant Field Values

### rrw_stpointn

    public static final int rrw_stpointn

See Also:
  Constant Field Values

### rrw_stsrid

    public static final int rrw_stsrid

See Also:
  Constant Field Values

### rrw_ststartpoint

    public static final int rrw_ststartpoint

See Also:
  Constant Field Values

### rrw_stunion

    public static final int rrw_stunion

See Also:
  Constant Field Values

### rrw_value

    public static final int rrw_value

See Also:
  Constant Field Values

### rrw_exist

    public static final int rrw_exist

See Also:
  Constant Field Values

### rrw_query

    public static final int rrw_query

See Also:
  Constant Field Values

### rrw_sqlserver_modify

    public static final int rrw_sqlserver_modify

See Also:
  Constant Field Values

### rrw_nodes

    public static final int rrw_nodes

See Also:
  Constant Field Values

### rrw_using

    public static final int rrw_using

See Also:
  Constant Field Values

### rrw_bt

    public static final int rrw_bt

See Also:
  Constant Field Values

### rrw_collect

    public static final int rrw_collect

See Also:
  Constant Field Values

### rrw_cm

    public static final int rrw_cm

See Also:
  Constant Field Values

### rrw_ct

    public static final int rrw_ct

See Also:
  Constant Field Values

### rrw_del

    public static final int rrw_del

See Also:
  Constant Field Values

### rrw_diagnostic

    public static final int rrw_diagnostic

See Also:
  Constant Field Values

### rrw_dump

    public static final int rrw_dump

See Also:
  Constant Field Values

### rrw_echo

    public static final int rrw_echo

See Also:
  Constant Field Values

### rrw_et

    public static final int rrw_et

See Also:
  Constant Field Values

### rrw_give

    public static final int rrw_give

See Also:
  Constant Field Values

### rrw_help

    public static final int rrw_help

See Also:
  Constant Field Values

### rrw_ins

    public static final int rrw_ins

See Also:
  Constant Field Values

### rrw_logoff

    public static final int rrw_logoff

See Also:
  Constant Field Values

### rrw_logon

    public static final int rrw_logon

See Also:
  Constant Field Values

### rrw_modify

    public static final int rrw_modify

See Also:
  Constant Field Values

### rrw_position

    public static final int rrw_position

See Also:
  Constant Field Values

### rrw_restart

    public static final int rrw_restart

See Also:
  Constant Field Values

### rrw_rewind

    public static final int rrw_rewind

See Also:
  Constant Field Values

### rrw_sel

    public static final int rrw_sel

See Also:
  Constant Field Values

### rrw_ss

    public static final int rrw_ss

See Also:
  Constant Field Values

### rrw_upd

    public static final int rrw_upd

See Also:
  Constant Field Values

### rrw_wait

    public static final int rrw_wait

See Also:
  Constant Field Values

### howtoSetValue_none

    public static final int howtoSetValue_none

See Also:
  Constant Field Values

### howtoSetValue_assign

    public static final int howtoSetValue_assign

See Also:
  Constant Field Values

### howtoSetValue_default

    public static final int howtoSetValue_default

See Also:
  Constant Field Values

### kind_create

    public static final int kind_create

See Also:
  Constant Field Values

### kind_declare

    public static final int kind_declare

See Also:
  Constant Field Values

### kind_define

    public static final int kind_define

See Also:
  Constant Field Values

### kind_create_body

    public static final int kind_create_body

See Also:
  Constant Field Values

### kind_create_incomplete

    public static final int kind_create_incomplete

See Also:
  Constant Field Values

### kind_create_varray

    public static final int kind_create_varray

See Also:
  Constant Field Values

### kind_create_nested_table

    public static final int kind_create_nested_table

See Also:
  Constant Field Values

### kind_create_type_placeholder

    public static final int kind_create_type_placeholder

See Also:
  Constant Field Values

### fireMode_before

    public static final int fireMode_before

  Trigger fire mode

  See Also:
    Constant Field Values

### fireMode_after

    public static final int fireMode_after

See Also:
  Constant Field Values

### fireMode_insteadOf

    public static final int fireMode_insteadOf

See Also:
  Constant Field Values

### fireMode_for

    public static final int fireMode_for

See Also:
  Constant Field Values

### join_source_fake

    public static final int join_source_fake

See Also:
  Constant Field Values

### join_source_table

    public static final int join_source_table

See Also:
  Constant Field Values

### join_source_join

    public static final int join_source_join

See Also:
  Constant Field Values

### vt_values

    public static final int vt_values

  value types of insert statement

  See Also:
    Constant Field Values

### vt_query

    public static final int vt_query

See Also:
  Constant Field Values

### vt_default_values

    public static final int vt_default_values

See Also:
  Constant Field Values

### vt_execute

    public static final int vt_execute

See Also:
  Constant Field Values

### vt_values_function

    public static final int vt_values_function

See Also:
  Constant Field Values

### vt_values_empty

    public static final int vt_values_empty

See Also:
  Constant Field Values

### vt_set_column_value

    public static final int vt_set_column_value

See Also:
  Constant Field Values

### vt_values_oracle_record

    public static final int vt_values_oracle_record

See Also:
  Constant Field Values

### vt_values_multi_table

    public static final int vt_values_multi_table

See Also:
  Constant Field Values

### declare_varaible_normal

    public static final int declare_varaible_normal

See Also:
  Constant Field Values

### declare_varaible_cursor

    public static final int declare_varaible_cursor

See Also:
  Constant Field Values

### declare_varaible_table

    public static final int declare_varaible_table

See Also:
  Constant Field Values

### declare_statement_variable

    public static final int declare_statement_variable

See Also:
  Constant Field Values

### declare_statement_cursor

    public static final int declare_statement_cursor

See Also:
  Constant Field Values

### declare_statement_conditions

    public static final int declare_statement_conditions

See Also:
  Constant Field Values

### declare_statement_handlers

    public static final int declare_statement_handlers

See Also:
  Constant Field Values

### declare_statement_statement

    public static final int declare_statement_statement

See Also:
  Constant Field Values

### declare_statement_returnCode

    public static final int declare_statement_returnCode

See Also:
  Constant Field Values

### condition_statement_if

    public static final int condition_statement_if

See Also:
  Constant Field Values

### condition_statement_while

    public static final int condition_statement_while

See Also:
  Constant Field Values

### parameter_mode_default

    public static final int parameter_mode_default

See Also:
  Constant Field Values

### parameter_mode_in

    public static final int parameter_mode_in

See Also:
  Constant Field Values

### parameter_mode_out

    public static final int parameter_mode_out

See Also:
  Constant Field Values

### parameter_mode_inout

    public static final int parameter_mode_inout

See Also:
  Constant Field Values

### parameter_mode_output

    public static final int parameter_mode_output

See Also:
  Constant Field Values

### parameter_mode_readonly

    public static final int parameter_mode_readonly

See Also:
  Constant Field Values

### parameter_mode_aslocator

    public static final int parameter_mode_aslocator

See Also:
  Constant Field Values

### function_return_datatype

    public static final int function_return_datatype

See Also:
  Constant Field Values

### function_return_table

    public static final int function_return_table

See Also:
  Constant Field Values

### function_return_table_variable

    public static final int function_return_table_variable

See Also:
  Constant Field Values

### constraint_level_column

    public static final int constraint_level_column

See Also:
  Constant Field Values

### constraint_level_table

    public static final int constraint_level_table

See Also:
  Constant Field Values

### dtNone

    public static final int dtNone

See Also:
  Constant Field Values

### dtDistinct

    public static final int dtDistinct

See Also:
  Constant Field Values

### dtDistinctOn

    public static final int dtDistinctOn

See Also:
  Constant Field Values

### dtAll

    public static final int dtAll

See Also:
  Constant Field Values

### dtUnique

    public static final int dtUnique

See Also:
  Constant Field Values

### dtDistinctRow

    public static final int dtDistinctRow

See Also:
  Constant Field Values

### mstUnknown

    public static final int mstUnknown

See Also:
  Constant Field Values

### mstLocalVar

    public static final int mstLocalVar

See Also:
  Constant Field Values

### mstLocalVarCursor

    public static final int mstLocalVarCursor

See Also:
  Constant Field Values

### mstSetCmd

    public static final int mstSetCmd

See Also:
  Constant Field Values

### mstXmlMethod

    public static final int mstXmlMethod

See Also:
  Constant Field Values

### tfmFor

    public static final int tfmFor

See Also:
  Constant Field Values

### tfmAfter

    public static final int tfmAfter

See Also:
  Constant Field Values

### tfmInsteadOf

    public static final int tfmInsteadOf

See Also:
  Constant Field Values

### metExecSp

    public static final int metExecSp

See Also:
  Constant Field Values

### metExecStringCmd

    public static final int metExecStringCmd

See Also:
  Constant Field Values

### metExecStringCmdLinkServer

    public static final int metExecStringCmdLinkServer

See Also:
  Constant Field Values

### metNoExecKeyword

    public static final int metNoExecKeyword

See Also:
  Constant Field Values

### uftUnknown

    public static final int uftUnknown

See Also:
  Constant Field Values

### uftScalar

    public static final int uftScalar

See Also:
  Constant Field Values

### uftInlineTableValued

    public static final int uftInlineTableValued

See Also:
  Constant Field Values

### uftMultiStatementTableValued

    public static final int uftMultiStatementTableValued

See Also:
  Constant Field Values

### srtNone

    public static final int srtNone

See Also:
  Constant Field Values

### srtAsc

    public static final int srtAsc

See Also:
  Constant Field Values

### srtDesc

    public static final int srtDesc

See Also:
  Constant Field Values

### srnNone

    public static final int srnNone

See Also:
  Constant Field Values

### srnNullsFirst

    public static final int srnNullsFirst

See Also:
  Constant Field Values

### srnNullsLast

    public static final int srnNullsLast

See Also:
  Constant Field Values

### parse_error_no_root_node

    public static final int parse_error_no_root_node

See Also:
  Constant Field Values

### newline

    public static java.lang.String newline

Constructor Detail

### TBaseType

    public TBaseType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD